xine-lib: input_class_s Struct Reference

xine-lib 1.2.12

Data Fields
input_class_s Struct Reference

`#include <input_plugin.h>`

## Data Fields
input_plugin_t *(* | get_instance )(input_class_t *this_gen, xine_stream_t *stream, const char *mrl)
const char * | identifier
| short human readable identifier for this plugin class More...
const char * | description
| human readable (verbose = 1 line) description for this plugin class More...
const char * | text_domain
| Optional non-standard catalog to use with dgettext() for description. More...
xine_mrl_t **(* | get_dir )(input_class_t *this_gen, const char *filename, int *nFiles)
const char *const *(* | get_autoplay_list )(input_class_t *this_gen, int *num_files)
void(* | dispose )(input_class_t *this_gen)
int(* | eject_media )(input_class_t *this_gen)

## Field Documentation

## ◆ description

const char* input_class_s::description

human readable (verbose = 1 line) description for this plugin class

The description is passed to gettext() to internationalise.

Referenced by bd_init_plugin(), bluray_init_plugin(), init_class(), init_input_class(), init_plugin(), input_ftp_init_class(), input_ftpes_init_class(), and open_internal().

## ◆ dispose

void(* input_class_s::dispose) (input_class_t *this_gen)

Referenced by bluray_init_plugin(), init_class(), init_input_class(), init_plugin(), and input_ftp_init_class().

## ◆ eject_media

int(* input_class_s::eject_media) (input_class_t *this_gen)

Referenced by bluray_init_plugin(), init_class(), init_input_class(), init_plugin(), input_ftp_init_class(), and open_internal().

## ◆ get_autoplay_list

const char *const *(* input_class_s::get_autoplay_list) (input_class_t *this_gen, int *num_files)

Referenced by bd_init_plugin(), bluray_init_plugin(), init_class(), init_input_class(), init_plugin(), input_ftp_init_class(), xine_get_autoplay_input_plugin_ids(), and xine_get_autoplay_mrls().

## ◆ get_dir

xine_mrl_t **(* input_class_s::get_dir) (input_class_t *this_gen, const char *filename, int *nFiles)

Referenced by bd_init_plugin(), bluray_init_plugin(), init_class(), init_input_class(), init_plugin(), input_ftp_init_class(), input_ftpes_init_class(), xine_get_browsable_input_plugin_ids(), and xine_get_browse_mrls().

## ◆ get_instance

input_plugin_t *(* input_class_s::get_instance) (input_class_t *this_gen, xine_stream_t *stream, const char *mrl)

Referenced by bluray_init_plugin(), init_avformat_input_plugin(), init_avio_input_plugin(), init_class(), init_input_class(), init_plugin(), init_radio_class(), init_video_class(), input_crypto_init_class(), input_ftp_init_class(), input_gopher_init_class(), input_net_init_class(), input_pnm_init_class(), input_rtsp_init_class(), input_tls_init_class(), scp_init_class(), stdin_plugin_init_class(), v4l2_init_class(), vcd_class_eject_media(), vcd_class_get_autoplay_list(), vcd_class_get_dir(), and vdr_input_init_plugin().

## ◆ identifier

const char* input_class_s::identifier

short human readable identifier for this plugin class

Referenced by bd_init_plugin(), bluray_init_plugin(), init_class(), init_input_class(), init_plugin(), input_ftp_init_class(), input_ftpes_init_class(), open_internal(), vcd_init(), and vdr_is_vdr_stream().

## ◆ text_domain

const char* input_class_s::text_domain

Optional non-standard catalog to use with dgettext() for description.

Referenced by open_internal().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/include/xine/input_plugin.h